<?php
require_once("salesbinder-php/config.inc.php");
require_once('salesbinder-php/SalesBinder.php');
?>
<html>
    <head>
        <title>Item Details</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link href="salesbinder-php/salesbinder.css" rel="stylesheet">
    </head>
    <body>
<?php
  $item_id = $_GET["id"];
  $cache_file = "item-$item_id.json";
  $api_call = $web_address.'/api/items/'.$item_id.'.json'; // get items list
  $api_cache = new API_cache ($api_key, $api_call, $cache_for, $cache_file);
  if (!$result = $api_cache->get_api_cache()) $result = '{"error": "Could not load cache"}';
		
	$item = json_decode($result);
	
	if (isset($item)) {
		echo '<table class="sb-items-list"><thead><tr><th class="text-left">ID</th><th class="text-left">Name</th><th class="text-right">Quantity</th><th>Selling Price</th></tr></thead><tbody>';
		//echo '<table cellpadding="10"><thead><tr><th>ID</th><th>Name</th><th>Quantity</th><th>Price</th></tr></thead><tbody>'."\n";
		
			echo "<tr>
			<td class=\"text-left\">{$item->Item->item_number}</td>
			<td class=\"text-left\">{$item->Item->name}</td>
			<td class=\"text-right\">{$item->Item->quantity}</td>
			<td class=\"text-right\">{$item->Item->price}</td>
			</tr>"."\n\t";
		
		echo '</tbody></table>'."\n";
		echo '<p class="sb-items-list">Location: '.$item->Location->name."</p>\n";
		
		foreach($item->Image as $images){
			if(strlen($images->url_small)>3) echo "<img src=\"{$images->url_medium}\" /> &nbsp; ";
		}
		
		foreach($item->ItemDetail as $itemDetails){
			echo '<p class="sb-items-list">'.$itemDetails->CustomField->name.': '.$itemDetails->value.'</p>'."\n\t\t";
		}
   } else {
		echo '<p>There is no data to display.</p>';
   }

   if ($development_mode) {
	echo '<span style="font-size: 11px; color: #666;">';
	echo indent($result);
	echo '</span>';
	}

?>
    </body>
</html>
