<?php
require_once("salesbinder-php/config.inc.php");
require_once('salesbinder-php/SalesBinder.php');
?>
<html>
    <head>
        <title>Inventory List</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link href="salesbinder-php/salesbinder.css" rel="stylesheet">
    </head>
    <body>
	<div>
<?php 
  // Get page choice
  if(isset($_GET["page"])){ $page_num = $_GET["page"]; }else{ $page_num = 1; }
  
  $cache_file = "items_list-p$page_num.json";
  $api_call = $web_address."/api/items.json?page=$page_num"; // get items list
  $api_cache = new API_cache ($api_key, $api_call, $cache_for, $cache_file);
  
  if ( !$result = $api_cache->get_api_cache() ) $result = '{"error": "Could not load cache"}';
	
	$items = json_decode($result);
	
	if ($items->count > 0) {
		echo '<table class="sb-items-list"><thead><tr><th class="text-left">Item Name</th><th class="text-right">Quantity</th><th class="text-right">Selling Price</th><th></th></tr></thead><tbody>';
		
		foreach ($items->Items as $item) {
			echo '<tr>
					<td class="text-left">'.$item->Item->name.'</td>
					<td class="text-right">'.(float)$item->Item->quantity.'</td>
					<td class="text-right">$'.number_format($item->Item->price, 2, '.', ',').'</td>
					<td class="text-right"><a href="details.php?id='.$item->Item->id.'">View Details</a></td>
				</tr>';
		}
		
		echo '</tbody></table>';
		?>
		
		<hr class="sb-items-list" />
			<div class="sb-items-list">
			<div style="display: inline-block;">Pages:</div>
		<?php
		for($x = 1; $x <= $items->pages; $x++){
			echo '<a href="./?page='.$x.'" class="pagenum">'.$x.'</a>';
		}
		?>
			</div>
		<?php
		
	} else {
		echo '<p>There are no items.</p>';
	}
	
	if ($development_mode) {
		include_once("salesbinder-php/debug.inc.php");	
		echo '<hr class="sb-items-list" />';
		echo '<span style="font-size: 11px; color: #666;">';
		echo indent($result);
		echo '</span>';
	}
?>
	</div>
	</body>
</html>